%define module	Config-Any
%define name	perl-%{module}
%define	modprefix Config

%define version	0.07
%define	rel	1
%define release	%mkrel %{rel}

Summary:	Load configuration from different file formats, transparently
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
BuildRequires:  perl(Module::Build)
BuildRequires:	perl(Module::Pluggable) >= 3.01
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl-version
BuildArch:	    noarch
Buildroot:	    %{_tmppath}/%{name}-%{version}

%description
Config::Any provides a facility for Perl applications and libraries to
load configuration data from multiple different file formats. It
supports XML, YAML, JSON, Apache-style configuration, Windows INI
files, and even Perl code.


%prep
%setup -q -n %{module}-%{version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}


%changelog
* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2007.1
+ Revision: 138795
- new version

* Sun Aug 27 2006 Scott Karns <scottk@mandriva.org> 0.04-2mdv2007.0
+ Revision: 58222
- Added BuildRequires perl(Test::Exception)

* Fri Aug 25 2006 Scott Karns <scottk@mandriva.org> 0.04-1mdv2007.0
+ Revision: 58057
- Import perl-Config-Any



* Fri Aug 25 2006 Scott Karns <scottk@mandriva.org> 0.04-1mdv2007.0
- Initial Mandriva RPM
